# MongoTimestamp::__construct

(PECL mongo >= 1.0.1)

MongoTimestamp::__construct — Creates a new timestamp

> This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. Alternatives to this method include:

> - MongoDB\BSON\Timestamp::__construct()

### Description

public MongoTimestamp::__construct ([ int `$sec` = time() [, int `$inc` ]] )

Creates a new timestamp. If no parameters are given, the current time is used and the increment is automatically provided. The increment is set to 0 when the module is loaded and is incremented every time this constructor is called (without the $inc parameter passed in).

### Parameters

`sec`

  Number of seconds since the epoch (i.e. 1 Jan 1970 00:00:00.000 UTC).

`inc`

  Increment.

### Return Values

Returns this new timestamp.

### See Also

- MongoTimestamp::__toString() - Returns a string representation of this timestamp